## org.eclipse.uml2.uml
Interface ConnectionPointReference

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier, Vertex

    public interface ConnectionPointReference

extends Vertex

A representation of the model object 'Connection Point Reference'. A connection point reference represents a usage (as part of a submachine state) of an entry/exit point defined in the statemachine reference by the submachine state.

The following features are supported:

- `Entry`
- `Exit`
- `State`

See Also:
  `UMLPackage.getConnectionPointReference()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`org.eclipse.emf.common.util.EList<Pseudostate>` `getEntries()` Returns the value of the 'Entry' reference list.
`Pseudostate` `getEntry(java.lang.String name)` Retrieves the first `Pseudostate` with the specified 'Name' from the 'Entry' reference list
`Pseudostate` `getEntry(java.lang.String name, boolean ignoreCase)` Retrieves the first `Pseudostate` with the specified 'Name' from the 'Entry' reference list
`Pseudostate` `getExit(java.lang.String name)` Retrieves the first `Pseudostate` with the specified 'Name' from the 'Exit' reference list
`Pseudostate` `getExit(java.lang.String name, boolean ignoreCase)` Retrieves the first `Pseudostate` with the specified 'Name' from the 'Exit' reference list
`org.eclipse.emf.common.util.EList<Pseudostate>` `getExits()` Returns the value of the 'Exit' reference list.
`State` `getState()` Returns the value of the 'State' container reference.
`void` `setState(State value)` Sets the value of the '`State`' container reference
`boolean` `validateEntryPseudostates(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The entry Pseudostates must be Pseudostates with kind entryPoint.
`boolean` `validateExitPseudostates(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The exit Pseudostates must be Pseudostates with kind exitPoint.

Methods inherited from interface org.eclipse.uml2.uml.Vertex
`containingStateMachine, getContainer, getIncoming, getIncoming, getIncomings, getOutgoing, getOutgoing, getOutgoings, setContainer`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEntries

    org.eclipse.emf.common.util.EList<Pseudostate> getEntries()

  Returns the value of the 'Entry' reference list. The list contents are of type `Pseudostate`. The entryPoint kind pseudo states corresponding to this connection point.

  Returns:
    the value of the 'Entry' reference list.
  See Also:
    `UMLPackage.getConnectionPointReference_Entry()`

### getEntry

    Pseudostate getEntry(java.lang.String name)

  Retrieves the first `Pseudostate` with the specified 'Name' from the 'Entry' reference list.

  Parameters:
    `name` - The 'Name' of the `Pseudostate` to retrieve, or `null`.
  Returns:
    The first `Pseudostate` with the specified 'Name', or `null`.
  See Also:
    `getEntries()`

### getEntry

    Pseudostate getEntry(java.lang.String name,
                         boolean ignoreCase)

  Retrieves the first `Pseudostate` with the specified 'Name' from the 'Entry' reference list.

  Parameters:
    `name` - The 'Name' of the `Pseudostate` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
  Returns:
    The first `Pseudostate` with the specified 'Name', or `null`.
  See Also:
    `getEntries()`

### getExits

    org.eclipse.emf.common.util.EList<Pseudostate> getExits()

  Returns the value of the 'Exit' reference list. The list contents are of type `Pseudostate`. The exitPoints kind pseudo states corresponding to this connection point.

  Returns:
    the value of the 'Exit' reference list.
  See Also:
    `UMLPackage.getConnectionPointReference_Exit()`

### getExit

    Pseudostate getExit(java.lang.String name)

  Retrieves the first `Pseudostate` with the specified 'Name' from the 'Exit' reference list.

  Parameters:
    `name` - The 'Name' of the `Pseudostate` to retrieve, or `null`.
  Returns:
    The first `Pseudostate` with the specified 'Name', or `null`.
  See Also:
    `getExits()`

### getExit

    Pseudostate getExit(java.lang.String name,
                        boolean ignoreCase)

  Retrieves the first `Pseudostate` with the specified 'Name' from the 'Exit' reference list.

  Parameters:
    `name` - The 'Name' of the `Pseudostate` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
  Returns:
    The first `Pseudostate` with the specified 'Name', or `null`.
  See Also:
    `getExits()`

### getState

    State getState()

  Returns the value of the 'State' container reference. It is bidirectional and its opposite is '`Connection`'.

  This feature subsets the following features:

  - '`Namespace`'
  The State in which the connection point refreshens are defined.

  Returns:
    the value of the 'State' container reference.
  See Also:
    `setState(State)`, `UMLPackage.getConnectionPointReference_State()`, `State.getConnections()`

### setState

    void setState(State value)

  Sets the value of the '`State`' container reference.

  Parameters:
    `value` - the new value of the 'State' container reference.
  See Also:
    `getState()`

### validateEntryPseudostates

    boolean validateEntryPseudostates(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map<java.lang.Object,java.lang.Object> context)

  The entry Pseudostates must be Pseudostates with kind entryPoint. entry->notEmpty() implies entry->forAll(e | e.kind = #entryPoint)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateExitPseudostates

    boolean validateExitPseudostates(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

  The exit Pseudostates must be Pseudostates with kind exitPoint. exit->notEmpty() implies exit->forAll(e | e.kind = #exitPoint)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.